
Ruby - Feature #15321

Update Unicode data to Unicode Version 12.0.0

11/20/2018 06:57 AM - duerst (Martin Dürst)

Status: Closed   

Priority: Normal   

Assignee: duerst (Martin Dürst)   

Target version:    

Description

Unicode Version 12.0.0 will be published in 2019, earlier than Unicode 11.0.0 in 2018. This is an issue to manage updating Ruby to

Unicode 12.0.0. Details to follow.

The target version may be Ruby 2.6.1 or 2.7.

Related issues:

Related to Ruby - Bug #15641: Backport update to Unicode Version 12.0.0 back ... Closed

Related to Ruby - Feature #17750: Update Unicode data to Unicode Version 13.0.0 Closed

Blocked by Ruby - Feature #14802: Update Unicode data to Unicode Version 11.0.0 Closed

Blocks Ruby - Feature #15195: Deal with new Japanese era Closed

Associated revisions

Revision f831ca67642101e29bd2de91998d80560d2b7fb6 - 03/06/2019 03:19 AM - duerst (Martin Dürst)

delete directory and files related to Unicode version 11.0.0

this completes and closes feature #15321

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@67174 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision f831ca67642101e29bd2de91998d80560d2b7fb6 - 03/06/2019 03:19 AM - duerst (Martin Dürst)

delete directory and files related to Unicode version 11.0.0

this completes and closes feature #15321

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@67174 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision f831ca67 - 03/06/2019 03:19 AM - duerst (Martin Dürst)

delete directory and files related to Unicode version 11.0.0

this completes and closes feature #15321

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@67174 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 0dcd7bdaa25a0ad32bd8c2ec10830392e117e7a4 - 03/06/2019 06:36 AM - naruse (Yui NARUSE)

merge revision(s) 67169,67173,67174: [Backport #15641]

    update Unicode version (and Emoji version) to 12.0.0

    - common.mk: set UNICODE_VERSION and UNICODE_EMOJI_VERSION to 12.0.0

    - lib/unicode_normalize/tables.rb: update table data to Unicode version 12.0.0

    - enc/unicode/12.0.0/casefold.h, enc/unicode/12.0.0/name2ctype.h: add generated

      files for Unicode version 12.0.0

    This is the main commit for #15321.

    add news about Unicode version update (issue #15321) to NEWS [ci skip]

    delete directory and files related to Unicode version 11.0.0

    this completes and closes feature #15321

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_6@67175 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 0dcd7bdaa25a0ad32bd8c2ec10830392e117e7a4 - 03/06/2019 06:36 AM - naruse (Yui NARUSE)

merge revision(s) 67169,67173,67174: [Backport #15641]

    update Unicode version (and Emoji version) to 12.0.0

    - common.mk: set UNICODE_VERSION and UNICODE_EMOJI_VERSION to 12.0.0

    - lib/unicode_normalize/tables.rb: update table data to Unicode version 12.0.0

    - enc/unicode/12.0.0/casefold.h, enc/unicode/12.0.0/name2ctype.h: add generated

      files for Unicode version 12.0.0

    This is the main commit for #15321.

    add news about Unicode version update (issue #15321) to NEWS [ci skip]

    delete directory and files related to Unicode version 11.0.0

    this completes and closes feature #15321

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_6@67175 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 0dcd7bda - 03/06/2019 06:36 AM - naruse (Yui NARUSE)

merge revision(s) 67169,67173,67174: [Backport #15641]

    update Unicode version (and Emoji version) to 12.0.0

    - common.mk: set UNICODE_VERSION and UNICODE_EMOJI_VERSION to 12.0.0

    - lib/unicode_normalize/tables.rb: update table data to Unicode version 12.0.0

    - enc/unicode/12.0.0/casefold.h, enc/unicode/12.0.0/name2ctype.h: add generated

      files for Unicode version 12.0.0

    This is the main commit for #15321.

    add news about Unicode version update (issue #15321) to NEWS [ci skip]

    delete directory and files related to Unicode version 11.0.0

    this completes and closes feature #15321

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_6@67175 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 11/20/2018 06:58 AM - duerst (Martin Dürst)

- Blocked by Feature #14802: Update Unicode data to Unicode Version 11.0.0 added

#2 - 11/20/2018 06:59 AM - duerst (Martin Dürst)

- Related to Feature #15195: Deal with new Japanese era added

#3 - 11/20/2018 07:10 AM - duerst (Martin Dürst)

The beta announcement is at http://unicode.org/versions/beta-12.0.0.html, the draft summary is at  http://unicode.org/versions/Unicode12.0.0/. A blog

entry is at http://blog.unicode.org/2018/11/unicode-120-beta-review.html.

A draft list of emoji candidates is at http://www.unicode.org/emoji/future/emoji-candidates.html.

#4 - 11/20/2018 07:31 AM - duerst (Martin Dürst)

The announcement for the draft list of emoji candidates is at http://blog.unicode.org/2018/10/draft-candidates-for-emoji-120-beta.html.

#5 - 12/10/2018 04:56 AM - duerst (Martin Dürst)

- Related to deleted (Feature #15195: Deal with new Japanese era)

#6 - 12/10/2018 04:57 AM - duerst (Martin Dürst)

- Blocks Feature #15195: Deal with new Japanese era added
#7 - 01/06/2019 02:36 AM - duerst (Martin Dürst)

I have confirmed that Ruby can be updated to Unicode 12.0.0 and all tests (make check) are passed correctly with the Unicode 12.0.0 beta data (

http://unicode.org/versions/beta-12.0.0.html). This means that there may be only minor (or no) problems to update Ruby to Unicode 12.0.0 after it's

official publication (currently planned to happen on March 5).

#8 - 03/05/2019 11:51 PM - duerst (Martin Dürst)

- Assignee set to duerst (Martin Dürst)

#9 - 03/06/2019 12:06 AM - duerst (Martin Dürst)

Unicode Version 12.0.0 has officially been released. The announcement is at 

http://blog.unicode.org/2019/03/announcing-unicode-standard-version-120.html.

#10 - 03/06/2019 03:25 AM - duerst (Martin Dürst)

- Status changed from Open to Closed

This commit is also part of this issue: r67174

#11 - 03/06/2019 07:15 AM - naruse (Yui NARUSE)

- Related to Bug #15641: Backport update to Unicode Version 12.0.0 back to Ruby 2.6 branch added

#12 - 03/11/2022 08:07 AM - duerst (Martin Dürst)

- Related to Feature #17750: Update Unicode data to Unicode Version 13.0.0 added
